Topic
  • 4 replies
  • Latest Post - ‏2016-11-25T07:50:07Z by Andy901
Ole.Spielberg
Ole.Spielberg
2 Posts

Pinned topic MQ Client 7.5 with Java SE 8

‏2015-05-11T08:28:53Z |

Hi there

We are currently planning a migration to an Oracle Java SE 8 based environment for our app server. We have functionality relying on an IBM MQ 7.5 client. Has this client been certified to run using Oracle Java SE 8? , if not when will that happen?

regards

Ole Spielberg

  • GBaddeley
    GBaddeley
    302 Posts

    Re: MQ Client 7.5 with Java SE 8

    ‏2015-05-12T03:46:57Z  

    MQ 7.5 has been certified use with the products and versions listed at http://www-01.ibm.com/support/docview.wss?uid=swg27027462

    HTH, G.

  • Ole.Spielberg
    Ole.Spielberg
    2 Posts

    Re: MQ Client 7.5 with Java SE 8

    ‏2015-05-12T05:57:11Z  
    • GBaddeley
    • ‏2015-05-12T03:46:57Z

    MQ 7.5 has been certified use with the products and versions listed at http://www-01.ibm.com/support/docview.wss?uid=swg27027462

    HTH, G.

    Yes i did find that page, but it does not say when the IBM MQ Cleint 7.5 will be certified for Java 8. Given Java7 has gone EOL in April 2015, i guess there must be a roadmap for certifying the IBM MQ Client on Java 8.

  • GBaddeley
    GBaddeley
    302 Posts

    Re: MQ Client 7.5 with Java SE 8

    ‏2015-05-14T01:24:45Z  

    Yes i did find that page, but it does not say when the IBM MQ Cleint 7.5 will be certified for Java 8. Given Java7 has gone EOL in April 2015, i guess there must be a roadmap for certifying the IBM MQ Client on Java 8.

    Did you look at the latest MQ Client 8.0? 

    Future or planned certifications are not usually announced in advance. I suggest that you raise an IBM Service Request or ask your IBM sales rep.  In many cases, newer versions of products will work OK with MQ, but they aren't officially supported.

    HTH, G.

  • Andy901
    Andy901
    2 Posts

    Re: MQ Client 7.5 with Java SE 8

    ‏2016-11-25T07:50:07Z  
    • GBaddeley
    • ‏2015-05-14T01:24:45Z

    Did you look at the latest MQ Client 8.0? 

    Future or planned certifications are not usually announced in advance. I suggest that you raise an IBM Service Request or ask your IBM sales rep.  In many cases, newer versions of products will work OK with MQ, but they aren't officially supported.

    HTH, G.

    Is it possible to connect MQ 7.5 with java 1.4